import { DetectorResult, StackSyncConfig } from './types.js';

declare function writeOutput(outPath: string, techs: DetectorResult[], config: StackSyncConfig, format?: "json" | "markdown", assetsOutPath?: string): Promise<void>;
declare function copyAssets(techs: DetectorResult[], dest: string, config: StackSyncConfig): Promise<Set<string>>;
declare function generateMarkdown(techs: DetectorResult[], assetsPath?: string, availableLogos?: Set<string>): string;

export { copyAssets, generateMarkdown, writeOutput };
